List agent assignments
curl --request GET \
--url https://api-prod.usefini.com/v2/hc-tools/{id}/junctions/public \
--header 'Authorization: <authorization>'import requests
url = "https://api-prod.usefini.com/v2/hc-tools/{id}/junctions/public"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api-prod.usefini.com/v2/hc-tools/{id}/junctions/public', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Attributes
List agent assignments
List the agents an attribute is assigned to.
GET
/
v2
/
hc-tools
/
{id}
/
junctions
/
public
List agent assignments
Returns the agent assignments for one attribute. Assignments are what make an attribute run for an agent’s conversations.
Headers
string
required
Bearer token containing your Fini workspace API key. Format:
Bearer fini_... The key needs read scope.Path parameters
string
required
Attribute ID whose assignments you want.
Response
Returns a top-level array ofAgent assignment objects.
Errors
401 Unauthorized
401 Unauthorized
The API key is missing, malformed, revoked, or invalid.
403 Forbidden
403 Forbidden
The API key does not include the
read scope required for this route.Was this page helpful?
⌘I

